<script>
import Vue from 'vue';

export default Vue.extend({
  name: 'Intro',
  props: {
    data: {
      type: String,
      required: true,
      default: null,
    },
    side: {
      type: Boolean,
      required: false,
      default: false,
    },
  },
});
</script>

<template>
  <SlpContainer class="slp-mt-96 slp-mb-48">
    <nuxt-img
      src="/nuxt-images/icons/events/chat-black.svg"
      format="webp"
      quality="99"
    />
    <SlpRow>
      <SlpColumn :cols="8">
        <div v-if="data" class="intro__text" v-html="$md.render(data)"></div>
      </SlpColumn>
    </SlpRow>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.intro {
  &__text {
    font-size: 24px;
    font-weight: 600;
    letter-spacing: -0.6px;
    line-height: 32px;
    :deep h2 {
      font-size: 50px;
      font-weight: 600;
      letter-spacing: -1.4px;
      line-height: 60px;
      padding-bottom: 24px;
    }
    :deep h3 {
      font-size: 32px;
      font-weight: 600;
      letter-spacing: -0.8px;
      line-height: 40px;
    }
  }
}
</style>
